import { Base, Type, INotifyPropertyChanged, PropertyChangedEventArgs } from "igniteui-webcomponents-core";
import { DomRenderer, DomWrapper } from "igniteui-webcomponents-core";
import { RenderingContext } from "igniteui-webcomponents-core";
import { FontInfo } from "igniteui-webcomponents-core";
import { Size } from "igniteui-webcomponents-core";
import { TemplateCellUpdatingEventArgs } from "./TemplateCellUpdatingEventArgs";
import { InputGroup } from "igniteui-webcomponents-inputs";
import { MultiColumnComboBox } from "./MultiColumnComboBox";
import { Checkbox } from "igniteui-webcomponents-inputs";
import { Grid } from "./Grid";
import { PropertyEditorPropertyDescriptionCollection } from "./PropertyEditorPropertyDescriptionCollection";
import { InputGroupDisplayType } from "igniteui-webcomponents-inputs";
import { BaseControlTheme } from "igniteui-webcomponents-core";
import { ControlDisplayDensity } from "igniteui-webcomponents-core";
import { TypeDescriptionContext } from "igniteui-webcomponents-core";
import { ComponentRenderer } from "igniteui-webcomponents-core";
import { Brush } from "igniteui-webcomponents-core";
/**
 * @hidden
 */
export declare class PropertyEditorView extends Base {
    static $t: Type;
    private o;
    private n;
    constructor();
    b: PropertyEditor;
    y(): void;
    j: DomRenderer;
    m: DomWrapper;
    f: RenderingContext;
    l: DomWrapper;
    w(a: DomRenderer): void;
    ab(): void;
    aa(): void;
    v(): void;
    ac(): void;
    private c;
    private ad;
    private d;
    private _gridExternal;
    private a;
    e(): FontInfo;
    x(): void;
    z(): void;
    u(): void;
    h(): number;
    i(a: string): number;
    g: boolean;
    s(a: TemplateCellUpdatingEventArgs, b: (arg1: InputGroup, arg2: boolean) => void): void;
    r(a: TemplateCellUpdatingEventArgs, b: (arg1: MultiColumnComboBox, arg2: boolean) => void): void;
    q(a: TemplateCellUpdatingEventArgs, b: (arg1: Checkbox, arg2: boolean) => void): void;
    private k;
    t(a: any, b: (arg1: any) => void): void;
}
/**
 * @hidden
 */
export declare class PropertyEditor extends Base implements INotifyPropertyChanged {
    static $t: Type;
    private s;
    l: Grid;
    private ab;
    private d;
    private ah;
    private c;
    private x;
    private y;
    private ai;
    private static readonly d0;
    private static readonly cb;
    private readonly e;
    private af;
    private readonly ag;
    propertyChanged: (sender: any, e: PropertyChangedEventArgs) => void;
    constructor();
    private dn;
    private dc;
    private al;
    notifySizeChanged(): void;
    c9(a: Grid, b: any): void;
    destroy(): void;
    provideContainer(a: DomRenderer): void;
    private c8;
    dj(a: string): void;
    private o;
    actualProperties: PropertyEditorPropertyDescriptionCollection;
    private p;
    properties: PropertyEditorPropertyDescriptionCollection;
    private bq;
    b2: string;
    private z;
    aa: InputGroupDisplayType;
    private bg;
    bl: number;
    private ac;
    ad: FontInfo;
    ae(): FontInfo;
    private t;
    u: BaseControlTheme;
    private v;
    w: ControlDisplayDensity;
    protected dk(a: string, b: any, c: any): void;
    protected dp(a: string, b: any, c: any): void;
    private ao;
    private ds;
    private dt;
    private dm;
    du(): void;
    private cg;
    d2(): Size;
    private bi;
    private dr;
    private cl;
    private dd;
    private a3;
    private bf;
    private a6;
    private au;
    private be;
    private bd;
    private bc;
    private bb;
    private ba;
    private a9;
    private a8;
    private a5;
    private a4;
    private a2;
    private a0;
    private a1;
    private az;
    private ax;
    private ay;
    private aw;
    private as;
    private at;
    private ar;
    private av;
    private aq;
    private a7;
    private b5;
    private ck;
    private c7;
    private c6;
    private c5;
    private c4;
    private c3;
    private c2;
    private c1;
    private cz;
    private cw;
    private b;
    private a;
    private ch;
    private da;
    private bo;
    private dl;
    private b4;
    private cv;
    private c0;
    private cy;
    private cx;
    private cu;
    private ct;
    private cr;
    private cs;
    private cq;
    private co;
    private cp;
    private cn;
    private n;
    private ap;
    private bj;
    private cf;
    private cm;
    private cj;
    private db;
    dh(a: number, b: any, c: any): void;
    de(): void;
    df(a: number, b: any): void;
    dg(a: number, b: any): void;
    private h;
    j: TypeDescriptionContext;
    private i;
    k: TypeDescriptionContext;
    private f;
    g: ComponentRenderer;
    private bm;
    bn: any;
    private bp;
    b0: string;
    private aj;
    am: boolean;
    private ak;
    an: boolean;
    static dy: Brush;
    private dv;
    dx: Brush;
    static dz: Brush;
    dw: Brush;
    d1: Brush;
    private bk;
    private bh;
    private m;
    private ce;
}
